<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Generic Trace Generator (GTG): GTGBasic.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Generic Trace Generator (GTG)
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GTGBasic.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="GTGBasic_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#ifndef _GTG_BASIC_H_</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#define _GTG_BASIC_H_</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;string.h&gt;</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="GTGColor_8h.html">GTGColor.h</a>&quot;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="GTGTypes_8h.html">GTGTypes.h</a>&quot;</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="GTGBasic_8h.html#a11cc5cb8a0a6aa561574afb10860dfed">   31</a></span>&#160;<span class="preprocessor">#define GTG_FLAG_NONE    0</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="GTGBasic_8h.html#a1369d4a2afed9e84bc1dbabb4a8d1ec9">   36</a></span>&#160;<span class="preprocessor">#define GTG_FLAG_USE_MPI 1</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="GTGBasic_8h.html#a0e1d2e55af61e5807593219b85f90405">   41</a></span>&#160;<span class="preprocessor">#define GTG_FLAG_NOTBUF  2</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="GTGBasic_8h.html#a4fc44f784cd14c145415352bba3486cf">   46</a></span>&#160;<span class="preprocessor">#define GTG_FLAG_OUTOFORDER  4</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="GTGBasic_8h.html#a7a5d407dd23dfced8b5937332ff80972">   51</a></span>&#160;<span class="keyword">typedef</span> uint8_t <a class="code" href="GTGBasic_8h.html#a7a5d407dd23dfced8b5937332ff80972">gtg_flag_t</a>;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div>
<div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311">   64</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span> <a class="code" href="group__traceType.html#gabfcf61a4d79aa427ef510070fce86311">traceType</a>{</div>
<div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311a464fcf408aa7f29de9e7828dfbc39147">   65</a></span>&#160;    <a class="code" href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311a464fcf408aa7f29de9e7828dfbc39147">PAJE</a>, </div>
<div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311aac864727fa7382dc8f3414f1667a78b5">   66</a></span>&#160;    <a class="code" href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311aac864727fa7382dc8f3414f1667a78b5">VITE</a>, </div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311a836fd85172c09b9aebf8e9712b9aae73">   67</a></span>&#160;    <a class="code" href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311a836fd85172c09b9aebf8e9712b9aae73">OTF</a>,  </div>
<div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311a4b124dad7992814397ae48d321af66b5">   68</a></span>&#160;    <a class="code" href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311a4b124dad7992814397ae48d321af66b5">TAU</a>   </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;}<a class="code" href="GTGBasic_8h.html#a3380a5e49e7f7e2ff3ea18f893527811">traceType_t</a>;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group__traceType.html#gaa32bf7549cb819ce354ac583de6e6bbf">setTraceType</a> (<a class="code" href="GTG__EZTrace_8h.html#a3380a5e49e7f7e2ff3ea18f893527811">traceType_t</a> type);</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<a class="code" href="GTG__EZTrace_8h.html#a3380a5e49e7f7e2ff3ea18f893527811">traceType_t</a> <a class="code" href="group__traceType.html#gaf4e365b772f0244b5f40f7a8c21dbeda">getTraceType</a> ();</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="keywordtype">char</span>* <a class="code" href="group__traceType.html#gaffe242018ef0fb40a515c24a957f6ba9">getName</a> (<span class="keywordtype">int</span> procRk);</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="keywordtype">int</span> <a class="code" href="group__traceType.html#ga577af8ffa49fee14264099998e3d88e8">bufferedModeActivated</a>();</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__init.html#ga6900cde464f9833ad682d680a2a78203">initTrace</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>* filename, <span class="keywordtype">int</span> rank, <a class="code" href="GTG__EZTrace_8h.html#a7a5d407dd23dfced8b5937332ff80972">gtg_flag_t</a> flags);</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__init.html#gabe4753689dfd8508c336b3898b0df471">endTrace</a>   ();</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__init.html#ga9219b49891d7bfce610daf60c5a02cae">setCompress</a> (<span class="keywordtype">int</span> val);</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__procf.html#gad5822f320aedc792dc9a4c3a7c1f8751">addContType</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>* alias, <span class="keyword">const</span> <span class="keywordtype">char</span>* contType, </div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;                   <span class="keyword">const</span> <span class="keywordtype">char</span>* name);</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__statef.html#gad5c4b3bad6aa9c83a9e8562664fe626a">addStateType</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>* alias, <span class="keyword">const</span> <span class="keywordtype">char</span>* contType, </div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;                    <span class="keyword">const</span> <span class="keywordtype">char</span>* name);</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__eventf.html#gae35aeab2cfbacf978c03ea8f0811b82e">addEventType</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>* alias, <span class="keyword">const</span> <span class="keywordtype">char</span>* contType, </div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;                    <span class="keyword">const</span> <span class="keywordtype">char</span>* name);</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__linkf.html#gab4b69cdd6b0fc990a2d99835c4bd3c89">addLinkType</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>* alias   , <span class="keyword">const</span> <span class="keywordtype">char</span>* name,</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;                   <span class="keyword">const</span> <span class="keywordtype">char</span>* contType, <span class="keyword">const</span> <span class="keywordtype">char</span>* srcContType,</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;                   <span class="keyword">const</span> <span class="keywordtype">char</span>* destContType);</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__varf.html#ga7c621d853b9d0058a065db58cdb94ec8">addVarType</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>* alias   , <span class="keyword">const</span> <span class="keywordtype">char</span>* name,</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;                  <span class="keyword">const</span> <span class="keywordtype">char</span>* contType); </div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__init.html#gaa732419a54e774f325188e1b1f8ac36d">addEntityValue</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>* alias, <span class="keyword">const</span> <span class="keywordtype">char</span>* entType, </div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;                      <span class="keyword">const</span> <span class="keywordtype">char</span>* name , <a class="code" href="structgtg__color.html">gtg_color_t</a> p_color);</div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;</div>
<div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__procf.html#gaef7a79f315b4e35480c27a1ae479827d">addContainer</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>* alias    ,</div>
<div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;                    <span class="keyword">const</span> <span class="keywordtype">char</span>*  type, <span class="keyword">const</span> <span class="keywordtype">char</span>* container,</div>
<div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;                    <span class="keyword">const</span> <span class="keywordtype">char</span>*  name, <span class="keyword">const</span> <span class="keywordtype">char</span>* file);</div>
<div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;</div>
<div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__procf.html#gae4eb01314299c2dcf82fd1b3faaf8ffa">destroyContainer</a>     (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>*  name,</div>
<div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;                          <span class="keyword">const</span> <span class="keywordtype">char</span>*  type);</div>
<div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;</div>
<div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__statef.html#ga7d0ee8cd70600ebfe5173c6385f6f35f">setState</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>* type,</div>
<div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;                <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont, <span class="keyword">const</span> <span class="keywordtype">char</span>* val);</div>
<div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;</div>
<div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__statef.html#ga4ecba7c24b51e26839795ae837339af0">pushState</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>* type,</div>
<div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;                 <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont, <span class="keyword">const</span> <span class="keywordtype">char</span>* val);</div>
<div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;</div>
<div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__statef.html#ga303c63c84b39511c9cf9d27c2dbea79e">popState</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>* type,</div>
<div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;                <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont);</div>
<div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;</div>
<div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__eventf.html#gaecd7c28a19831d32ef05f5af0469b434">addEvent</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>* type,</div>
<div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;                <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont, <span class="keyword">const</span> <span class="keywordtype">char</span>* val);</div>
<div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160;</div>
<div class="line"><a name="l00374"></a><span class="lineno">  374</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__linkf.html#ga75cf70450e81381decb2e84c3e6e18bd">startLink</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>* type,</div>
<div class="line"><a name="l00375"></a><span class="lineno">  375</span>&#160;                 <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont, <span class="keyword">const</span> <span class="keywordtype">char</span>* src,</div>
<div class="line"><a name="l00376"></a><span class="lineno">  376</span>&#160;                 <span class="keyword">const</span> <span class="keywordtype">char</span>*  dest, <span class="keyword">const</span> <span class="keywordtype">char</span>* val,</div>
<div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;                 <span class="keyword">const</span> <span class="keywordtype">char</span>* key);</div>
<div class="line"><a name="l00378"></a><span class="lineno">  378</span>&#160;</div>
<div class="line"><a name="l00399"></a><span class="lineno">  399</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__linkf.html#ga9e084fd160fd4f7357f6acf4eb541606">endLink</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>* type,</div>
<div class="line"><a name="l00400"></a><span class="lineno">  400</span>&#160;               <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont, <span class="keyword">const</span> <span class="keywordtype">char</span>* src,</div>
<div class="line"><a name="l00401"></a><span class="lineno">  401</span>&#160;               <span class="keyword">const</span> <span class="keywordtype">char</span>*  dest, <span class="keyword">const</span> <span class="keywordtype">char</span>* val,</div>
<div class="line"><a name="l00402"></a><span class="lineno">  402</span>&#160;               <span class="keyword">const</span> <span class="keywordtype">char</span>* key);</div>
<div class="line"><a name="l00403"></a><span class="lineno">  403</span>&#160;</div>
<div class="line"><a name="l00418"></a><span class="lineno">  418</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="group__varf.html#gac897f3ccddc88ce6bd46ca6594cc5605">setVar</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>*  type,</div>
<div class="line"><a name="l00419"></a><span class="lineno">  419</span>&#160;              <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont, <a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> val);</div>
<div class="line"><a name="l00420"></a><span class="lineno">  420</span>&#160;</div>
<div class="line"><a name="l00435"></a><span class="lineno">  435</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="GTGBasic_8h.html#a305787a5e14f17a2a0961be702c4ff25">addVar</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>*  type,</div>
<div class="line"><a name="l00436"></a><span class="lineno">  436</span>&#160;              <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont, <a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> val);</div>
<div class="line"><a name="l00437"></a><span class="lineno">  437</span>&#160;</div>
<div class="line"><a name="l00453"></a><span class="lineno">  453</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="GTGBasic_8h.html#a573290384c5fe8b600fc999473117067">subVar</a>   (<a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, <span class="keyword">const</span> <span class="keywordtype">char</span>*  type,</div>
<div class="line"><a name="l00454"></a><span class="lineno">  454</span>&#160;              <span class="keyword">const</span> <span class="keywordtype">char</span>*  cont, <a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> val);</div>
<div class="line"><a name="l00455"></a><span class="lineno">  455</span>&#160;</div>
<div class="line"><a name="l00465"></a><span class="lineno">  465</span>&#160;<a class="code" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> <a class="code" href="GTGBasic_8h.html#a463f260c133bb2471aad369b8d1319cb">AddComment</a>   (<span class="keyword">const</span> <span class="keywordtype">char</span>*  comment);</div>
<div class="line"><a name="l00466"></a><span class="lineno">  466</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* _GTG_BASIC_H_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="group__statef_html_ga303c63c84b39511c9cf9d27c2dbea79e"><div class="ttname"><a href="group__statef.html#ga303c63c84b39511c9cf9d27c2dbea79e">popState</a></div><div class="ttdeci">trace_return_t popState(varPrec time, const char *type, const char *cont)</div><div class="ttdoc">Revert the State of a Container to its previous value. </div></div>
<div class="ttc" id="group__eventf_html_gaecd7c28a19831d32ef05f5af0469b434"><div class="ttname"><a href="group__eventf.html#gaecd7c28a19831d32ef05f5af0469b434">addEvent</a></div><div class="ttdeci">trace_return_t addEvent(varPrec time, const char *type, const char *cont, const char *val)</div><div class="ttdoc">Add an Event. </div></div>
<div class="ttc" id="group__linkf_html_ga9e084fd160fd4f7357f6acf4eb541606"><div class="ttname"><a href="group__linkf.html#ga9e084fd160fd4f7357f6acf4eb541606">endLink</a></div><div class="ttdeci">trace_return_t endLink(varPrec time, const char *type, const char *cont, const char *src, const char *dest, const char *val, const char *key)</div><div class="ttdoc">End a Link. </div></div>
<div class="ttc" id="GTGBasic_8h_html_abfcf61a4d79aa427ef510070fce86311aac864727fa7382dc8f3414f1667a78b5"><div class="ttname"><a href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311aac864727fa7382dc8f3414f1667a78b5">VITE</a></div><div class="ttdef"><b>Definition:</b> GTGBasic.h:66</div></div>
<div class="ttc" id="group__type_html_gabda13d5bcd0cbdb094d655181a857e25"><div class="ttname"><a href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a></div><div class="ttdeci">double varPrec</div><div class="ttdoc">Use the double precision type for time and value. </div><div class="ttdef"><b>Definition:</b> GTGTypes.h:28</div></div>
<div class="ttc" id="group__procf_html_gaef7a79f315b4e35480c27a1ae479827d"><div class="ttname"><a href="group__procf.html#gaef7a79f315b4e35480c27a1ae479827d">addContainer</a></div><div class="ttdeci">trace_return_t addContainer(varPrec time, const char *alias, const char *type, const char *container, const char *name, const char *file)</div><div class="ttdoc">Add a Container. </div></div>
<div class="ttc" id="group__init_html_ga6900cde464f9833ad682d680a2a78203"><div class="ttname"><a href="group__init.html#ga6900cde464f9833ad682d680a2a78203">initTrace</a></div><div class="ttdeci">trace_return_t initTrace(const char *filename, int rank, gtg_flag_t flags)</div><div class="ttdoc">Initialize a trace. </div></div>
<div class="ttc" id="group__statef_html_gad5c4b3bad6aa9c83a9e8562664fe626a"><div class="ttname"><a href="group__statef.html#gad5c4b3bad6aa9c83a9e8562664fe626a">addStateType</a></div><div class="ttdeci">trace_return_t addStateType(const char *alias, const char *contType, const char *name)</div><div class="ttdoc">Add a State Type. </div></div>
<div class="ttc" id="GTGBasic_8h_html_a3380a5e49e7f7e2ff3ea18f893527811"><div class="ttname"><a href="GTGBasic_8h.html#a3380a5e49e7f7e2ff3ea18f893527811">traceType_t</a></div><div class="ttdeci">enum traceType traceType_t</div></div>
<div class="ttc" id="GTG__EZTrace_8h_html_a7a5d407dd23dfced8b5937332ff80972"><div class="ttname"><a href="GTG__EZTrace_8h.html#a7a5d407dd23dfced8b5937332ff80972">gtg_flag_t</a></div><div class="ttdeci">uint8_t gtg_flag_t</div><div class="ttdoc">Flags that can be specified to GTG. </div><div class="ttdef"><b>Definition:</b> GTG_EZTrace.h:51</div></div>
<div class="ttc" id="group__init_html_gabe4753689dfd8508c336b3898b0df471"><div class="ttname"><a href="group__init.html#gabe4753689dfd8508c336b3898b0df471">endTrace</a></div><div class="ttdeci">trace_return_t endTrace()</div><div class="ttdoc">Finalize a trace. </div></div>
<div class="ttc" id="group__linkf_html_gab4b69cdd6b0fc990a2d99835c4bd3c89"><div class="ttname"><a href="group__linkf.html#gab4b69cdd6b0fc990a2d99835c4bd3c89">addLinkType</a></div><div class="ttdeci">trace_return_t addLinkType(const char *alias, const char *name, const char *contType, const char *srcContType, const char *destContType)</div><div class="ttdoc">Add a Link Type. </div></div>
<div class="ttc" id="group__statef_html_ga4ecba7c24b51e26839795ae837339af0"><div class="ttname"><a href="group__statef.html#ga4ecba7c24b51e26839795ae837339af0">pushState</a></div><div class="ttdeci">trace_return_t pushState(varPrec time, const char *type, const char *cont, const char *val)</div><div class="ttdoc">Save the current State on a stack and change the State of a Container. </div></div>
<div class="ttc" id="GTGTypes_8h_html"><div class="ttname"><a href="GTGTypes_8h.html">GTGTypes.h</a></div></div>
<div class="ttc" id="GTGBasic_8h_html_a573290384c5fe8b600fc999473117067"><div class="ttname"><a href="GTGBasic_8h.html#a573290384c5fe8b600fc999473117067">subVar</a></div><div class="ttdeci">trace_return_t subVar(varPrec time, const char *type, const char *cont, varPrec val)</div></div>
<div class="ttc" id="group__type_html_ga1f1b68fb37d7331f03a48ef0993a0788"><div class="ttname"><a href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a></div><div class="ttdeci">trace_return_t</div><div class="ttdoc">Define various return values. </div><div class="ttdef"><b>Definition:</b> GTGTypes.h:35</div></div>
<div class="ttc" id="group__eventf_html_gae35aeab2cfbacf978c03ea8f0811b82e"><div class="ttname"><a href="group__eventf.html#gae35aeab2cfbacf978c03ea8f0811b82e">addEventType</a></div><div class="ttdeci">trace_return_t addEventType(const char *alias, const char *contType, const char *name)</div><div class="ttdoc">Add an Event Type. </div></div>
<div class="ttc" id="group__init_html_gaa732419a54e774f325188e1b1f8ac36d"><div class="ttname"><a href="group__init.html#gaa732419a54e774f325188e1b1f8ac36d">addEntityValue</a></div><div class="ttdeci">trace_return_t addEntityValue(const char *alias, const char *entType, const char *name, gtg_color_t p_color)</div><div class="ttdoc">Add an Entity Value. </div></div>
<div class="ttc" id="GTGBasic_8h_html_abfcf61a4d79aa427ef510070fce86311a836fd85172c09b9aebf8e9712b9aae73"><div class="ttname"><a href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311a836fd85172c09b9aebf8e9712b9aae73">OTF</a></div><div class="ttdef"><b>Definition:</b> GTGBasic.h:67</div></div>
<div class="ttc" id="group__init_html_ga9219b49891d7bfce610daf60c5a02cae"><div class="ttname"><a href="group__init.html#ga9219b49891d7bfce610daf60c5a02cae">setCompress</a></div><div class="ttdeci">trace_return_t setCompress(int val)</div><div class="ttdoc">Enable trace compression (only available for OTF traces). </div></div>
<div class="ttc" id="GTGBasic_8h_html_abfcf61a4d79aa427ef510070fce86311a464fcf408aa7f29de9e7828dfbc39147"><div class="ttname"><a href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311a464fcf408aa7f29de9e7828dfbc39147">PAJE</a></div><div class="ttdef"><b>Definition:</b> GTGBasic.h:65</div></div>
<div class="ttc" id="group__varf_html_gac897f3ccddc88ce6bd46ca6594cc5605"><div class="ttname"><a href="group__varf.html#gac897f3ccddc88ce6bd46ca6594cc5605">setVar</a></div><div class="ttdeci">trace_return_t setVar(varPrec time, const char *type, const char *cont, varPrec val)</div><div class="ttdoc">Set a Variable value. </div></div>
<div class="ttc" id="GTGColor_8h_html"><div class="ttname"><a href="GTGColor_8h.html">GTGColor.h</a></div><div class="ttdoc">This file defines some useful colors to use in entity values for GTG. </div></div>
<div class="ttc" id="group__linkf_html_ga75cf70450e81381decb2e84c3e6e18bd"><div class="ttname"><a href="group__linkf.html#ga75cf70450e81381decb2e84c3e6e18bd">startLink</a></div><div class="ttdeci">trace_return_t startLink(varPrec time, const char *type, const char *cont, const char *src, const char *dest, const char *val, const char *key)</div><div class="ttdoc">Start a Link. </div></div>
<div class="ttc" id="structgtg__color_html"><div class="ttname"><a href="structgtg__color.html">gtg_color</a></div><div class="ttdoc">This structure defines a color that can be used by GTG. </div><div class="ttdef"><b>Definition:</b> GTGColor.h:25</div></div>
<div class="ttc" id="group__statef_html_ga7d0ee8cd70600ebfe5173c6385f6f35f"><div class="ttname"><a href="group__statef.html#ga7d0ee8cd70600ebfe5173c6385f6f35f">setState</a></div><div class="ttdeci">trace_return_t setState(varPrec time, const char *type, const char *cont, const char *val)</div><div class="ttdoc">Set the State of a Container. </div></div>
<div class="ttc" id="group__traceType_html_gaa32bf7549cb819ce354ac583de6e6bbf"><div class="ttname"><a href="group__traceType.html#gaa32bf7549cb819ce354ac583de6e6bbf">setTraceType</a></div><div class="ttdeci">void setTraceType(traceType_t type)</div><div class="ttdoc">Set the type of output trace. </div></div>
<div class="ttc" id="GTGBasic_8h_html_a7a5d407dd23dfced8b5937332ff80972"><div class="ttname"><a href="GTGBasic_8h.html#a7a5d407dd23dfced8b5937332ff80972">gtg_flag_t</a></div><div class="ttdeci">uint8_t gtg_flag_t</div><div class="ttdoc">Flags that can be specified to GTG. </div><div class="ttdef"><b>Definition:</b> GTGBasic.h:51</div></div>
<div class="ttc" id="group__varf_html_ga7c621d853b9d0058a065db58cdb94ec8"><div class="ttname"><a href="group__varf.html#ga7c621d853b9d0058a065db58cdb94ec8">addVarType</a></div><div class="ttdeci">trace_return_t addVarType(const char *alias, const char *name, const char *contType)</div><div class="ttdoc">Add a Variable Type. </div></div>
<div class="ttc" id="group__procf_html_gae4eb01314299c2dcf82fd1b3faaf8ffa"><div class="ttname"><a href="group__procf.html#gae4eb01314299c2dcf82fd1b3faaf8ffa">destroyContainer</a></div><div class="ttdeci">trace_return_t destroyContainer(varPrec time, const char *name, const char *type)</div><div class="ttdoc">Destroy a Container. </div></div>
<div class="ttc" id="group__procf_html_gad5822f320aedc792dc9a4c3a7c1f8751"><div class="ttname"><a href="group__procf.html#gad5822f320aedc792dc9a4c3a7c1f8751">addContType</a></div><div class="ttdeci">trace_return_t addContType(const char *alias, const char *contType, const char *name)</div><div class="ttdoc">Add a Container Type. </div></div>
<div class="ttc" id="group__traceType_html_gaffe242018ef0fb40a515c24a957f6ba9"><div class="ttname"><a href="group__traceType.html#gaffe242018ef0fb40a515c24a957f6ba9">getName</a></div><div class="ttdeci">char * getName(int procRk)</div><div class="ttdoc">To get the name of the file to give to the addCont function for processors. </div></div>
<div class="ttc" id="group__traceType_html_gaf4e365b772f0244b5f40f7a8c21dbeda"><div class="ttname"><a href="group__traceType.html#gaf4e365b772f0244b5f40f7a8c21dbeda">getTraceType</a></div><div class="ttdeci">traceType_t getTraceType()</div><div class="ttdoc">Get the type of the output trace. </div></div>
<div class="ttc" id="GTG__EZTrace_8h_html_a3380a5e49e7f7e2ff3ea18f893527811"><div class="ttname"><a href="GTG__EZTrace_8h.html#a3380a5e49e7f7e2ff3ea18f893527811">traceType_t</a></div><div class="ttdeci">enum traceType traceType_t</div></div>
<div class="ttc" id="group__traceType_html_ga577af8ffa49fee14264099998e3d88e8"><div class="ttname"><a href="group__traceType.html#ga577af8ffa49fee14264099998e3d88e8">bufferedModeActivated</a></div><div class="ttdeci">int bufferedModeActivated()</div><div class="ttdoc">Check wether the buffered-mode is activated. </div></div>
<div class="ttc" id="group__traceType_html_gabfcf61a4d79aa427ef510070fce86311"><div class="ttname"><a href="group__traceType.html#gabfcf61a4d79aa427ef510070fce86311">traceType</a></div><div class="ttdeci">traceType</div><div class="ttdoc">The type of the output trace. </div><div class="ttdef"><b>Definition:</b> GTG_EZTrace.h:64</div></div>
<div class="ttc" id="GTGBasic_8h_html_abfcf61a4d79aa427ef510070fce86311a4b124dad7992814397ae48d321af66b5"><div class="ttname"><a href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311a4b124dad7992814397ae48d321af66b5">TAU</a></div><div class="ttdef"><b>Definition:</b> GTGBasic.h:68</div></div>
<div class="ttc" id="GTGBasic_8h_html_a305787a5e14f17a2a0961be702c4ff25"><div class="ttname"><a href="GTGBasic_8h.html#a305787a5e14f17a2a0961be702c4ff25">addVar</a></div><div class="ttdeci">trace_return_t addVar(varPrec time, const char *type, const char *cont, varPrec val)</div></div>
<div class="ttc" id="GTGBasic_8h_html_a463f260c133bb2471aad369b8d1319cb"><div class="ttname"><a href="GTGBasic_8h.html#a463f260c133bb2471aad369b8d1319cb">AddComment</a></div><div class="ttdeci">trace_return_t AddComment(const char *comment)</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jun 2 2014 10:59:53 for Generic Trace Generator (GTG) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
